# Copyright (c) 2016, Patrick Uiterwijk <patrick@puiterwijk.org>
# All rights reserved.
#
# This file is part of Basset.
#
# Basset is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Basset is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Basset.  If not, see <http://www.gnu.org/licenses/>.

import logging


class Plugin(object):
    prefix = 'core'
    name = 'pluginsystem'
    config = {}
    coreconfig = None

    def __init__(self, core, config):
        self.log = logging.getLogger(__name__)

        self.core = core
        self.coreconfig = config
        sec_name = 'plugin.%s.%s' % (self.prefix, self.name)
        if config.has_section(sec_name):
            self.config = {k: v for k, v in config.items(sec_name)}
